Using integer set variables and constraints
Functionality by programming task » Programming models

## Topics

| Set variables
| Float variables
| Range and value iterators for set variables
| Argument arrays
| Variable arrays
| Domain constraints
| Relation constraints
| Set operation/relation constraints
| Convexity constraints
| Sequence constraints
| Distinctness constraints
| Connection constraints to integer variables
| Channel constraints
| Value precedence constraints over set variables
| Element constraints
| Synchronized execution
| Branching

## Enumerations

enum | Gecode::SetRelType { Gecode::SRT_EQ , Gecode::SRT_NQ , Gecode::SRT_SUB , Gecode::SRT_SUP , Gecode::SRT_DISJ , Gecode::SRT_CMPL , Gecode::SRT_LQ , Gecode::SRT_LE , Gecode::SRT_GQ , Gecode::SRT_GR }
| Common relation types for sets. More...
enum | Gecode::SetOpType { Gecode::SOT_UNION , Gecode::SOT_DUNION , Gecode::SOT_INTER , Gecode::SOT_MINUS }
| Common operations for sets. More...

## Detailed Description

## Enumeration Type Documentation

## SetRelType

enum Gecode::SetRelType

Common relation types for sets.

The total order on sets is defined as the lexicographic order on their characteristic functions, e.g., means that either is empty or the minimal element of the symmetric difference is in .

Enumerator
SRT_EQ | Equality ( ).
SRT_NQ | Disequality ( ).
SRT_SUB | Subset ( ).
SRT_SUP | Superset ( ).
SRT_DISJ | Disjoint ( ).
SRT_CMPL | Complement.
SRT_LQ | Less or equal ( ).
SRT_LE | Less ( ).
SRT_GQ | Greater or equal ( ).
SRT_GR | Greater ( ).

Definition at line 643 of file set.hh.

## SetOpType

enum Gecode::SetOpType

Common operations for sets.

Enumerator
SOT_UNION | Union.
SOT_DUNION | Disjoint union.
SOT_INTER | Intersection
SOT_MINUS | Difference.

Definition at line 660 of file set.hh.